Skip to main content
POST
/
inventory
/
transfers
/
{id}
/
revert
Revert a transfer
curl --request POST \
  --url https://api.retrac.co/inventory/transfers/{id}/revert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "revertNote": "<string>"
}
'
{
  "id": "<string>",
  "fromLocationId": "<string>",
  "toLocationId": "<string>",
  "note": "<string>",
  "lines": [
    {
      "id": "<string>",
      "itemId": "<string>",
      "quantity": 123,
      "note": "<string>",
      "item": {
        "id": "<string>",
        "sku": "<string>",
        "description": "<string>"
      }
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "fromLocation": {
    "id": "<string>",
    "name": "<string>"
  },
  "toLocation": {
    "id": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Path Parameters

id
string
required

The transfer order ID.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

Body

application/json
revertNote
string | null
Maximum string length: 500

Response

The reverted transfer

id
string
required
fromLocationId
string
required
toLocationId
string
required
status
enum<string>
required
Available options:
completed,
reverted
note
string | null
required
lines
object[]
required
createdAt
string<date-time>
required
fromLocation
object
toLocation
object